Bug 193413 - libgpod ipod_device_reload eventually crashes in strlen
libgpod ipod_device_reload eventually crashes in strlen
Product: Fedora
Classification: Fedora
Component: libgpod (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-05-27 20:42 EDT by Scott Tsai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.2-0.1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-02 09:30:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2006-05-27 20:42:46 EDT
Description of problem:
rhythmbox crashed while I plugged in my ipod.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.plugin ipod
2.wait till ipod is mounted
3.start rhythmbox
Actual results:
rhythmbox terminated with signal 11, Segmentation fault.
stack trace attached below.

Expected results:
rhythmbox not crashing.

Additional info:
Thread 2 (process 31821):
#0  0x0000003aeeac3156 in poll () from /lib64/libc.so.6
#1  0x0000003af112a00f in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x0000003af112a4dd in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003af5f46170 in link_set_io_thread () from /usr/lib64/libORBit-2.so.0
#4  0x0000003af1142e04 in g_thread_create_full () from /usr/lib64/libglib-2.0.so.0
#5  0x0000003aef9062e7 in start_thread () from /lib64/libpthread.so.0
#6  0x0000003aeeacbcfd in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 1 (process 31820):
#0  0x0000003aeea73f40 in strlen () from /lib64/libc.so.6
#1  0x0000003af113f9e3 in g_strdup () from /usr/lib64/libglib-2.0.so.0
#2  0x0000003af99163ac in ipod_device_reload (device=0xcb0860) at ipod-device.c:1019
#3  0x0000003af99168da in ipod_device_set_property (object=Variable "object" is
not available.
) at ipod-device.c:561
#4  0x0000003af1a0fc10 in g_object_newv () from /usr/lib64/libgobject-2.0.so.0
#5  0x0000003af1a103fe in g_object_new_valist () from /usr/lib64/libgobject-2.0.so.0
#6  0x0000003af1a105b1 in g_object_new () from /usr/lib64/libgobject-2.0.so.0
#7  0x0000003af9914b4f in itdb_device_new (hal_volume_id=0xc9a310
"/media/SCOTTT") at ipod-device.c:1504
#8  0x0000003af9907606 in itdb_set_mountpoint (itdb=0xc9a4b0, mp=0xc9a310
"/media/SCOTTT") at itdb_itunesdb.c:4132
#9  0x0000003af990e808 in itdb_parse (mp=0xc9a310 "/media/SCOTTT", error=0x0) at
#10 0x0000000000461b7f in rb_ipod_source_constructor (type=Variable "type" is
not available.
) at rb-ipod-source.c:422
#11 0x0000003af1a0f9c7 in g_object_newv () from /usr/lib64/libgobject-2.0.so.0
#12 0x0000003af1a103fe in g_object_new_valist () from /usr/lib64/libgobject-2.0.so.0
#13 0x0000003af1a105b1 in g_object_new () from /usr/lib64/libgobject-2.0.so.0
#14 0x0000000000461885 in rb_ipod_source_new (shell=0xa37040, volume=0x9d76a0)
at rb-ipod-source.c:139
#15 0x00000000004472f9 in rb_removable_media_manager_mount_volume (mgr=0xb950a0,
    at rb-removable-media-manager.c:632
#16 0x000000000044741a in rb_removable_media_manager_scan (manager=0xb950a0) at
#17 0x0000000000447727 in rb_removable_media_manager_load_media
(manager=0xb950a0) at rb-removable-media-manager.c:554
#18 0x0000003af112703a in g_main_context_dispatch () from
#19 0x0000003af112a1b5 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#20 0x0000003af112a4dd in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#21 0x0000003af672d2c6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#22 0x000000000043115c in main (argc=0, argv=0x7fffffc811d8) at main.c:425
Comment 1 Todd Zullinger 2007-01-23 19:07:47 EST
FC6 has an updated libgpod that should fix the crasher bug in 0.3.0.  There's
also a rhythmbox update in updates-testing for FC6 which uses the newer
libgpod-0.4.2.  Perhaps you could try rebuilding libgpod from FC6 to see if it
helps you?

I'm not sure if there are any plans to update libgpod for FC5 or not.  F7 is
entering the test stage now as well as RHEL5 around the corner so I'm guessing
Alex has his hands quite full.

If it'd help, I'd be happy to put together a libgpod update for FC5 that at
least moved it to 0.3.2 which fixes the crasher and a few other annoying bugs. 
It still doesn't support the newer iPods though.  Or I could test out the full
libgpod update from FC6 rebuilt on FC5 as well.
Comment 2 Scott Tsai 2007-02-02 08:20:43 EST
Sorry for the late replay.
I've actually since updated the computer that I saw this bug on to FC6.
Not sure if the newer libgpod fixes this crasher since I no longer have access
to the ipod.
I'd recommand closing this bug.
Comment 3 Bastien Nocera 2007-02-02 09:30:49 EST
Great, thanks.

Note You need to log in before you can comment on or make changes to this bug.